from django.urls import path
from . import views

app_name = 'inventory'
urlpatterns = [
    path('v1',
         views.InventoryListView.as_view(),
         name='inventory_list'),
    path('v1/inventory-create',
         views.InventoryCreateView.as_view(),
         name='inventory_create'),
    path('v1/inventory-create/data.json',
         views.InventoryCreateJSONView.as_view(),
         name='inventory_json_create'),
    path('v1/inventory-check',
         views.InventoryCheckView.as_view(),
         name='inventory_check'),
    path('v1/<inventory_name>',
         views.InventoryDetailView.as_view(),
         name='inventory_detail'),
    path('v1/<inventory_name>/sync',
         views.InventorySyncView.as_view(),
         name='inventory_sync'),
    path('v1/<inventory_name>/delete',
         views.InventoryDeleteView.as_view(),
         name='inventory_delete'),
    path('v1/<inventory_name>/data.json',
         views.InventoryDetailJSONView.as_view(),
         name='inventory_json_detail'),
    path('v1/<inventory_name>/create',
         views.ResourceCreateView.as_view(),
         name='resource_create'),
    path('v1/<inventory_name>/classify',
         views.ResourceClassifyView.as_view(),
         name='resource_classify'),
    path('v1/<inventory_name>/resource/<resource_name>',
         views.ResourceDetailView.as_view(),
         name='resource_detail'),
    path('v1/<inventory_name>/resource/<resource_name>/delete',
         views.ResourceDeleteView.as_view(),
         name='resource_delete'),
    path('v1/<inventory_name>/<resource_name>/data.json',
         views.ResourceDetailJSONView.as_view(),
         name='resource_json_detail'),
]
