# Generated by Django 2.0.1 on 2018-02-13 17:12

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Manager',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField(blank=True, null=True)),
                ('engine', models.CharField(default='saltstack', max_length=32)),
                ('metadata', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('status', models.CharField(default='unknown', max_length=32)),
            ],
            options={
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='Relationship',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('kind', models.CharField(max_length=32)),
                ('size', models.IntegerField(default=1)),
                ('metadata', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('status', models.CharField(default='unknown', max_length=32)),
                ('manager', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='manager.Manager')),
            ],
        ),
        migrations.CreateModel(
            name='Resource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uid', models.CharField(max_length=511)),
                ('name', models.CharField(max_length=511)),
                ('kind', models.CharField(max_length=32)),
                ('size', models.IntegerField(default=1)),
                ('metadata', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('status', models.CharField(default='unknown', max_length=32)),
                ('manager', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='resources', to='manager.Manager')),
                ('sources', models.ManyToManyField(related_name='resource_sources', through='manager.Relationship', to='manager.Resource')),
            ],
            options={
                'ordering': ['name'],
            },
        ),
        migrations.AddField(
            model_name='relationship',
            name='source',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='source', to='manager.Resource'),
        ),
        migrations.AddField(
            model_name='relationship',
            name='target',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='destination', to='manager.Resource'),
        ),
        migrations.CreateModel(
            name='RelationshipProxy',
            fields=[
            ],
            options={
                'proxy': True,
                'indexes': [],
            },
            bases=('manager.relationship',),
        ),
        migrations.AddField(
            model_name='resource',
            name='targets',
            field=models.ManyToManyField(related_name='resource_targets', through='manager.RelationshipProxy', to='manager.Resource'),
        ),
    ]
